'use strict';

/** @module */

/**
 * 设置错误码
 * @param errorCode
 */
var setErrorCode = function setErrorCode(errorCode) {
  this._errorCode = errorCode;
};

/**
 * 获取错误码
 * @returns {*}
 */
var getErrorCode = function getErrorCode() {
  return this._errorCode || 0;
};

/**
 * 设置错误消息
 * @param errorMessage
 */
var setErrorMessage = function setErrorMessage(errorMessage) {
  this._errorMessage = errorMessage;
};

/**
 * 获取错误消息
 * @returns {*}
 */
var getErrorMessage = function getErrorMessage() {
  return this._errorMessage || this['message'];
};

/**
 * 设置错误的附带内容
 * @param errorStorage
 */
var setErrorStorage = function setErrorStorage(errorStorage) {
  this._errorStorage = errorStorage;
};

/**
 * 获取错误的附带内容
 * @returns {*}
 */
var getErrorStorage = function getErrorStorage() {
  return this._errorStorage;
};

Error.prototype.setErrorCode = setErrorCode;
Error.prototype.getErrorCode = getErrorCode;
Error.prototype.setErrorMessage = setErrorMessage;
Error.prototype.getErrorMessage = getErrorMessage;
Error.prototype.setErrorStorage = setErrorStorage;
Error.prototype.getErrorStorage = getErrorStorage;