'use strict';

var _bignumber = require('bignumber.js');

var _bignumber2 = _interopRequireDefault(_bignumber);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * 转换为二进制字符串
 * @returns {string}
 */
var toBinString = function toBinString() {
  return this.toString(2);
};

/**
 * 转换为八进制字符串
 * @returns {string}
 */
/** @module */

var toOctString = function toOctString() {
  return this.toString(8);
};

/**
 * 转换为十六进制字符串
 * @returns {string}
 */
var toHexString = function toHexString() {
  return this.toString(16);
};

/**
 * 为了调用此方法时不用区分主体是string还是number
 * @returns {toNumber}
 */
var toNumber = function toNumber() {
  return this;
};

var toInt = function toInt() {
  return parseInt(this);
};

var toNoScientificString = function toNoScientificString() {
  var BN = _bignumber2.default.clone({
    EXPONENTIAL_AT: 1e+9
  });
  var num1 = new BN(this);
  return num1.toString();
};

Number.prototype.toBinString = toBinString;
Number.prototype.toOctString = toOctString;
Number.prototype.toHexString = toHexString;
Number.prototype.toNumber = toNumber;
Number.prototype.toInt = toInt;
Number.prototype.toNoScientificString = toNoScientificString;